    /* highlighting test case for Gradle (which actually uses Groovy syntax) */

    // single line comment with ### TODO FIXME

    /* multiline comment with ### TODO FIXME */

    /** Javadoc comment with ### TODO FIXME
     * @param foo bla bla ATTENTION
     * @return abc cde
     * @see javadoc.xml
    */

    buildscript {
        repositories {
            jcenter()
        }

        dependencies {
            classpath 'com.android.tools.build:gradle:2.2.3'
        }
    }

    allprojects {
        repositories {
            jcenter()
        }
    }

    apply plugin: 'com.android.application'

    dependencies {
        compile fileTree(dir: 'libs', include: ['*.jar'])
        compile 'org.mnode.ical4j:ical4j:2.2.0'
    }

    android {
        compileSdkVersion androidCompileSdkVersion.toInteger()

        buildToolsVersion androidBuildToolsVersion

        sourceSets {
            main {
                manifest.srcFile 'AndroidManifest.xml'
                java.srcDirs = [qt5AndroidDir + '/src', 'src', 'java']
                aidl.srcDirs = [qt5AndroidDir + '/src', 'src', 'aidl']
                res.srcDirs = [qt5AndroidDir + '/res', 'res']
                resources.srcDirs = ['src']
                renderscript.srcDirs = ['src']
                assets.srcDirs = ['assets']
                jniLibs.srcDirs = ['libs']
           }
        }

        lintOptions {
            abortOnError false
        }
    }

    def a = 'ab\'c'
    def a = '''\
    abc $x.toString() ${x.toString()}
    \nxy
    '''
    def a = '''
    abc $x.toString() ${x.toString()}
    \nxy
    '''

    def a = "ab\'c"
    def a = """\
    abc $x.toString() ${x.toString()}
    \nxy
    """
    def a = """
    abc $x.toString() ${x.toString()}
    \nxy
    """

    def a = $/$ $$ $/ $= $x.toString() ${x.toString()}
    abc
    \nxy/$

    def a = /ab\/c
    \nxyd/

    1_2e3_4